# Module: montage/core/module-reference

#### module:montage/core/module-reference

A promise for the exports of the module. The exports are loaded lazily when the property is accessed.

Source:
  - core/module-reference.js, line 50

##### Returns:

The exports of the module.

Type
  Promise.<Object>

### Requires

- module:montage/core/core

### Classes

ModuleReference

### Members

#### module:montage/core/module-reference

A promise for the exports of the module. The exports are loaded lazily when the property is accessed.

Source:
  - core/module-reference.js, line 50